Jump to content
EGGTCL dot us

Blogs

Force your site to load securely with an .htaccess file

Forcing the domain to serve securely using HTTPS (for any site)   The following forces any http request to be rewritten using https. For example, the following code forces a request to http://example.com to load https://example.com. It also forces directly linked resources (images, css, etc.) to use https:   RewriteEngine On RewriteCond %{HTTPS} !=on RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301,NE] Header always set Content-Security-Policy "upgrade-insecure-re

Pugsley

Pugsley in htaccess

How do I share a userfile between two bots?

You will have a HUB bot, the bot that will send the userfile to other bots. Decide who that will be. Then, on this Hub bot (BotHUB) do this for each bot that is going to receive the userfile:   .botattr ShareBot +s|+s #sharedchannel   On your passive bot (ShareBot) do this: .botattr BotHUB +p|+s #sharedchannel .botattr BotHUB +h (only do this when you want the bots to connect)   The |+s is used to make the bot also share flags f

Pugsley

Pugsley in eggdrop

How To Install ZNC, an IRC bouncer, on Linux

Introduction ZNC is an IRC network bouncer software. ZNC comes with various modules and features that can cater to your usage requirements. We will be compiling ZNC with the web interface enabled in this tutorial. In the web interface, you can create, edit, configure, and remove users from your ZNC instance.   Installation If you want to compile ZNC with OpenSSL support, you need the OpenSSL development package. On Debian/Ubuntu this is called libssl-dev, on CentOS/Fedora/R

Pugsley

Pugsley in vps

Certbot / Apache on Debian

1. SSH into the server SSH into the server running your HTTP website as a user with sudo privileges. 2. Install snapd You'll need to install snapd and make sure you follow any instructions to enable classic snap support. Follow these instructions on snapcraft's site to install snapd. or here; Installing snap on Debian sudo apt update sudo apt install snapd   If the sudo command isn’t installed (usually because a root password was provided at install time)

Pugsley

Pugsley in vps

Install Latest Python Version in Ubuntu

Install Python 3.11 on Ubuntu To install the latest Python 3.11 version, you can use “deadsnakes” team PPA which contains more recent Python versions packaged for Ubuntu. $ sudo add-apt-repository ppa:deadsnakes/ppa $ sudo apt update $ sudo apt install python3.11   If you want to install a specific Python version or multiple versions of Python in your Ubuntu system, you can simply run the following command with the Python version number as shown. $ sudo apt install python3.10

Pugsley

Pugsley in vps

enable ipv6 from your vps

Please allow some time for the configuration. And also please note For Ubuntu & Debian instance needs to enable IPV6 manually after configuring. Kindly follow the below-mentioned steps to enable the IPv6 address for your server.   Login to your server via ssh connection and adding the the below entries in sysctl.conf file: nano /etc/sysctl.conf   Scroll all the way down, and add the following lines at the end: net.ipv6.conf.all.autoconf = 0 net.ipv6.conf.all.acce

Pugsley

Pugsley in vps

Channel Relay

Chanrelay.tcl 3.14 by CrazyCat Download here   You need to have two (2) eggdrop bot to work this script.   ===================================================   set regg(tin) {                   <-------- the username of your bot (Bot A)         "chan"      "#aslpls"         "network"   "UnderX"         "highlight" 3         "log"       "y"         "oper"      "y"         "syn_topic" "y"         "col_act"   "lightred"         "col_jpq"   "lightblu

Pugsley

Pugsley in tcl

Bot Linking and Sharing

How do I link two bots? Two bots can link through a TCP connection (telnet) and you will then be able to talk to the people on others bots partyline. You will need at least Botnet Master access on both bots to link them, or have someone do their stuff on the other side. You will have to know the address and port each bot is listening to.   Then, all you need to link them is to set the following:   1. Decide which bot you will want to link to which one. Let's say it

Pugsley

Pugsley in eggdrop

NET::IRC module

Can’t locate Net/IRC.pm in @INC (you may need to install the Net::IRC modu le) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.32.1 /usr/local/share/perl/5.32.1 /usr/lib/x86_64-linux-gnu/perl5/5.32 /usr/sha re/perl5 /usr/lib/x86_64-linux-gnu/perl-base /usr/lib/x86_64-linux-gnu/per l/5.32 /usr/share/perl/5.32 /usr/local/lib/site_perl) at ./triviabot.pl li ne 18.   if you encounter this kind of issue, just do this apt install libnet-irc-perl  

Pugsley

Pugsley in eggdrop

install root dependence debian

sudo apt-get install -y ant sudo apt-get install -y gcc g++ sudo apt-get install -y libkrb5-dev libmysqlclient-dev sudo apt-get install -y libssl-dev libsasl2-dev libsasl2-modules-gssapi-mit sudo apt-get install -y libsqlite3-dev sudo apt-get install -y libtidy-0.99-0 libxml2-dev libxslt-dev sudo apt-get install -y maven sudo apt-get install -y libldap2-dev sudo apt-get install -y python-dev python-simplejson python-setuptools sudo apt-get install tcl-dev tk-dev mesa-common-dev libjpeg-dev libto

Pugsley

Pugsley in eggdrop

ipv6 eggdrop installation

To enable IPv6 support, preform the following steps:   Run the following command from the eggdrop source directory: ./configure --enable-ipv6 Continue compiling the bot, starting with 'make config'. Follow the remaining install directions in the INSTALL file in the Eggdrop source root directory. Set 'my-ip6', 'my-ip', and 'my-hostname6' in your config file.   That’s it.            

Pugsley

Pugsley in eggdrop

required idlerpg GD2.0+

apt-get install php7.0-gd   Done Just install the libio-socket-inet6-perl package, on Ubuntu/Debian: apt install libio-socket-inet6-perl                                  

Pugsley

Pugsley in eggdrop

setting crontab in eggdrop

A common question asked by users is, how can I configure Eggdrop to automatically restart should it die, such as after a reboot? To do that, we use the system’s crontab daemon to run a script (called botchk) every ten minutes that checks if the eggdrop is running. If the eggdrop is not running, the script will restart the bot, with an optional email sent to the user informing them of the action. To make this process as simple as possible, we have included a script that can automatically configur

Pugsley

Pugsley in eggdrop

how to Install Pip on Debian 10

Installing pip for Python 3 sudo apt update sudo apt install python3-pip   after installation, verify by doing; pip3 --version   The version number may be different, but it will look something like the one below:   pip 18.1 from /usr/lib/python3/dist-packages/pip (python 3.7)                

Pugsley

Pugsley in eggdrop

package require sqlite3

"can't find package sqlite3"   package” usually means /usr/lib/pkgconfig/sqlite3.pc Or may be a missing ‘libsqlite3-tcl’ ? Suggest : try this   sudo apt-get install libsqlite3-dev libsqlite3-tcl   (Installing the package ‘sqlite3’ installs only a part of “sqlite”)                        

Pugsley

Pugsley in eggdrop

set errorInfo

In your config file, comment the following lines if they are not commented:   unbind dcc n tcl *dcc:tcl unbind dcc n set *dcc:set   Check the value of must-be-owner. If it’s equal to 1 (default), check that you are well setted as permanent owner (set owner “nick”). The value in owner must be your handle. Then, you’ll be able to use .set errorInfo (with capital I).

Pugsley

Pugsley in eggdrop

install package required

after setting up your debian/ubuntu, you may need to install the following;   Packages required apt-get install curl apt-get install openssl libssl-dev apt-get install tcl8.6-dev tk8.6-dev apt-get install tcllib apt-get install tcltls apt-get install tdom apt-get install libtcl8.6 apt-get install tcl-trf   sudo apt-get install -y ant sudo apt-get install -y gcc g++ sudo apt-get install -y libkrb5-dev libmysqlclient-dev sudo apt-get install -y libssl-dev libsasl2-dev libsasl2-m

Pugsley

Pugsley in eggdrop

modeegg error installation

Upon installing eggdrop bot and have error, try this; one of the reason why you can’t continue setting up your eggdrop.. CFLAGS="-std=gnu89" ./configure --with-tcllib='/usr/lib/x86_64-linux-gnu/libtcl8.6.so' --with-tclinc='/usr/include/tcl8.6/tcl.h'   this only apply for Eggdrop1.6.20. checking whether the Tcl system has changed… yes configure: error: Tcl cannot be found on this system. Eggdrop requires Tcl and the Tcl development files to compile. If you already have

Pugsley

Pugsley in eggdrop

how to install tcltls

Latest tls package needed:   cd /tmp wget https://core.tcl-lang.org/tcltls/uv/tcltls-1.7.20.tar.gz tar -xzf tcltls-1.7.20.tar.gz cd tcltls-1.7.20 ./configure make (as root) make install          

Pugsley

Pugsley in eggdrop

×
×
  • Create New...